[package]
name = "toolbox"
version = { workspace = true }
rust-version = { workspace = true }
edition = { workspace = true }

[lints]
workspace = true

[dev-dependencies]
tokio = { workspace = true }

[dependencies]
serde = { workspace = true }
tracing = { workspace = true }
num = { workspace = true }
thiserror = { workspace = true }
envy = { workspace = true }
dotenvy = { workspace = true }

clap = { workspace = true, optional = true }
anstyle = { workspace = true, optional = true }
tracing-subscriber = { workspace = true, optional = true }
anyhow = { workspace = true, optional = true }


tracing-loki = { workspace = true, optional = true }
tokio = { workspace = true, optional = true }
url = { workspace = true, optional = true }
base64 = { workspace = true, optional = true }

[features]
default = []
cli = ["dep:clap", "dep:anstyle", "dep:tracing-subscriber", "dep:anyhow"]
loki = ["cli", "dep:tracing-loki", "dep:base64", "dep:tokio", "dep:url"]
